Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(317)

Issue 29451722: Issue 4907 - Update v8 to 5.7.278 in libadblockplus (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 6 months ago by sergei
Modified:
2 years, 5 months ago
CC:
anton
Base URL:
https://github.com/adblockplus/libadblockplus.git
Visibility:
Public.

Patch Set 1 #

Total comments: 34

Patch Set 2 : address comments #

Patch Set 3 : rebase #

Patch Set 4 : fix support of ARCH=ia32 #

Total comments: 3

Patch Set 5 : add Xcode into readme #

Total comments: 11

Patch Set 6 : address MSVS2017 and fix googletest #

Total comments: 1

Patch Set 7 : independence from file mode of make_gyp_wrapper.py #

Unified diffs Side-by-side diffs Delta from patch set Stats (+568 lines, -316 lines) Patch
M Makefile View 1 2 3 4 5 6 2 chunks +62 lines, -21 lines 0 comments Download
M README.md View 1 2 3 4 3 chunks +15 lines, -9 lines 0 comments Download
A android-v8-options.gypi View 1 chunk +19 lines, -0 lines 0 comments Download
A build-v8.cmd View 1 2 3 4 5 1 chunk +23 lines, -0 lines 0 comments Download
M common.gypi View 2 chunks +18 lines, -18 lines 0 comments Download
M createsolution.bat View 1 2 3 4 5 1 chunk +5 lines, -2 lines 0 comments Download
M dependencies View 1 2 1 chunk +8 lines, -2 lines 0 comments Download
A + googletest.gyp View 1 2 3 4 5 3 chunks +12 lines, -25 lines 0 comments Download
M include/AdblockPlus/JsEngine.h View 5 chunks +16 lines, -17 lines 0 comments Download
M include/AdblockPlus/JsValue.h View 3 chunks +7 lines, -6 lines 0 comments Download
M libadblockplus.gyp View 1 2 3 4 5 3 chunks +73 lines, -22 lines 0 comments Download
A libadblockplus.gypi View 1 2 3 1 chunk +74 lines, -0 lines 0 comments Download
A make_gyp_wrapper.py View 1 chunk +122 lines, -0 lines 0 comments Download
M msvs_gyp_wrapper.py View 1 1 chunk +10 lines, -2 lines 0 comments Download
M shell/shell.gyp View 1 chunk +5 lines, -0 lines 0 comments Download
M src/ConsoleJsObject.cpp View 3 chunks +14 lines, -16 lines 0 comments Download
M src/FileSystemJsObject.cpp View 1 2 chunks +19 lines, -36 lines 0 comments Download
M src/GlobalJsObject.cpp View 1 2 chunks +4 lines, -7 lines 0 comments Download
M src/JsEngine.cpp View 11 chunks +22 lines, -16 lines 0 comments Download
M src/JsValue.cpp View 5 chunks +12 lines, -7 lines 0 comments Download
M src/Utils.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M src/Utils.cpp View 1 1 chunk +4 lines, -0 lines 0 comments Download
M src/WebRequestJsObject.cpp View 1 3 chunks +3 lines, -8 lines 0 comments Download
D third_party/googletest.gyp View 1 2 3 4 5 1 chunk +0 lines, -95 lines 0 comments Download
M v8.gypi View 1 chunk +20 lines, -7 lines 0 comments Download

Messages

Total messages: 16
sergei
https://codereview.adblockplus.org/29451722/diff/29451723/Makefile File Makefile (right): https://codereview.adblockplus.org/29451722/diff/29451723/Makefile#newcode83 Makefile:83: -C ../../build \ these "cd third_party/v8 && ..." are ...
2 years, 6 months ago (2017-05-30 15:21:32 UTC) #1
hub
Just a question, not preventing from landing this. LGTM https://codereview.adblockplus.org/29451722/diff/29451723/common.gypi File common.gypi (right): https://codereview.adblockplus.org/29451722/diff/29451723/common.gypi#newcode17 common.gypi:17: ...
2 years, 6 months ago (2017-05-30 15:48:04 UTC) #2
Eric
For the record, I've been waiting three years for a v8 upgrade of any kind ...
2 years, 6 months ago (2017-05-30 17:31:41 UTC) #3
sergei
https://codereview.adblockplus.org/29451722/diff/29451723/README.md File README.md (right): https://codereview.adblockplus.org/29451722/diff/29451723/README.md#newcode23 README.md:23: * Microsoft Visual Studio 2015 On 2017/05/30 17:31:40, Eric ...
2 years, 6 months ago (2017-05-31 12:47:12 UTC) #4
sergei
rebased and in addition ARCH=ia32 fixed. Now it can be applied. https://codereview.adblockplus.org/29451722/diff/29451723/dependencies File dependencies (right): ...
2 years, 6 months ago (2017-06-02 07:22:18 UTC) #5
hub
LGTM https://codereview.adblockplus.org/29451722/diff/29454579/README.md File README.md (right): https://codereview.adblockplus.org/29451722/diff/29454579/README.md#newcode29 README.md:29: * clang 3.6 for OS X Trying to ...
2 years, 6 months ago (2017-06-02 13:20:29 UTC) #6
sergei
https://codereview.adblockplus.org/29451722/diff/29454579/README.md File README.md (right): https://codereview.adblockplus.org/29451722/diff/29454579/README.md#newcode29 README.md:29: * clang 3.6 for OS X On 2017/06/02 13:20:28, ...
2 years, 6 months ago (2017-06-02 14:05:30 UTC) #7
hub
On 2017/06/02 14:05:30, sergei wrote: > Interesting, was clang already installed? BTW what is called ...
2 years, 6 months ago (2017-06-02 14:14:13 UTC) #8
sergei
https://codereview.adblockplus.org/29451722/diff/29454579/README.md File README.md (right): https://codereview.adblockplus.org/29451722/diff/29454579/README.md#newcode29 README.md:29: * clang 3.6 for OS X On 2017/06/02 14:05:30, ...
2 years, 6 months ago (2017-06-02 14:26:03 UTC) #9
hub
LGTM
2 years, 6 months ago (2017-06-02 14:46:42 UTC) #10
Oleksandr
Only a few minor comments, as I am very excited to see this as well! ...
2 years, 6 months ago (2017-06-03 00:40:16 UTC) #11
sergei
So, MSVS 2017 can be used as IDE as well as with v141, however there ...
2 years, 5 months ago (2017-06-14 16:05:03 UTC) #12
sergei
https://codereview.adblockplus.org/29451722/diff/29454636/src/JsEngine.cpp File src/JsEngine.cpp (right): https://codereview.adblockplus.org/29451722/diff/29454636/src/JsEngine.cpp#newcode216 src/JsEngine.cpp:216: while (!GetIsolate()->IdleNotification(1000)); On 2017/06/03 00:40:15, Oleksandr wrote: > Maybe ...
2 years, 5 months ago (2017-06-14 16:13:11 UTC) #13
sergei
Could you please review it?
2 years, 5 months ago (2017-07-03 07:48:00 UTC) #14
Oleksandr
LGTM https://codereview.adblockplus.org/29451722/diff/29454636/build-v8.cmd File build-v8.cmd (right): https://codereview.adblockplus.org/29451722/diff/29454636/build-v8.cmd#newcode13 build-v8.cmd:13: @python msvs_gyp_wrapper.py --depth=build\%ARCH%\v8 -f msvs -I v8.gypi --generator-output=build\%ARCH%\v8 ...
2 years, 5 months ago (2017-07-03 21:50:39 UTC) #15
hub
2 years, 5 months ago (2017-07-04 11:54:15 UTC) #16
LGTM
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87257f5